Which .NetFramework will CefSharp.WinForms 88.2.90 work with

Having problems with building or using the CefSharp .NET binding? Ask your CEF-related questions here. Please ask general usage questions on StackOverflow.

Moderator: amaitland

Which .NetFramework will CefSharp.WinForms 88.2.90 work with

Postby CodeMann » Tue Mar 23, 2021 6:17 pm

I recently moved from using Visual Studio 2010, a C# 4.0 application and installed Visual Studio 2019 Community edition.
The VS2010 app used a CefSharp 43.0.0.0 library.

The VS2019 Community edition offers versions of the .Net Framework up to 4.7.2.

I need to know which .NET Framework version the latest CefSharp build, i.e. CefSharp.WinForms 88.2.90 will work with.

If I decide to use .NET Framework version 4.7.2, will the latest build of CefSharp i.e. 88.2.90 work with it, or should I install an older version of CefSharp?
CodeMann
Newbie
 
Posts: 5
Joined: Sat Mar 17, 2018 10:35 am

Re: Which .NetFramework will CefSharp.WinForms 88.2.90 work

Postby amaitland » Tue Mar 23, 2021 8:58 pm

.net 4.5.2 is the minimum, anything higher is perfectly fine.
Maintainer of the CefSharp project.
amaitland
Master
 
Posts: 969
Joined: Wed Jan 14, 2015 2:35 am

Re: Which .NetFramework will CefSharp.WinForms 88.2.90 work

Postby CodeMann » Wed Mar 24, 2021 1:23 pm

@amaitland thank you. I decided to use the 4.7.2 VS and will install the same for Cef.
CodeMann
Newbie
 
Posts: 5
Joined: Sat Mar 17, 2018 10:35 am


Return to CefSharp Forum

Who is online

Users browsing this forum: No registered users and 2 guests

cron